commerce_checkout.form:
  path: '/checkout/{commerce_order}/{step}'
  defaults:
    _controller: '\Drupal\commerce_checkout\Controller\CheckoutController::formPage'
    _title: 'Checkout'
    step: null
  requirements:
    _custom_access: '\Drupal\commerce_checkout\Controller\CheckoutController::checkAccess'
  options:
    parameters:
      commerce_order:
        type: entity:commerce_order

commerce_checkout.checkout:
  path: '/checkout'
  defaults:
    _controller: '\Drupal\commerce_checkout\Controller\CheckoutController::checkoutRedirect'
  requirements:
    _permission: 'access checkout'
  options:
    no_cache: TRUE
